org.apache.hc.client5.http.impl.classic

## Class BasicHttpClientResponseHandler

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.AbstractHttpClientResponseHandler<String>
  - - org.apache.hc.client5.http.impl.classic.BasicHttpClientResponseHandler

All Implemented Interfaces:
  HttpClientResponseHandler<String>

    @Contract(threading=STATELESS)
    public class BasicHttpClientResponseHandler
    extends AbstractHttpClientResponseHandler<String>

A `HttpClientResponseHandler` that returns the response body as a String for successful (2xx) responses. If the response code was >= 300, the response body is consumed and an `HttpResponseException` is thrown.

If this is used with `HttpClient.execute( org.apache.hc.core5.http.ClassicHttpRequest, org.apache.hc.core5.http.io.HttpClientResponseHandler)`, HttpClient may handle redirects (3xx responses) internally.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`BasicHttpClientResponseHandler()`

### Method Summary

Methods
`String` `handleEntity(HttpEntity entity)` Returns the entity as a body as a String.
`String` `handleResponse(ClassicHttpResponse response)` Read the entity from the response body and pass it to the entity handler method if the response was successful (a 2xx status code).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicHttpClientResponseHandler

    public BasicHttpClientResponseHandler()

### Method Detail

#### handleEntity

    public String handleEntity(HttpEntity entity)
                        throws IOException

Returns the entity as a body as a String.

Specified by:
  `handleEntity` in class `AbstractHttpClientResponseHandler<String>`
Throws:
  `IOException`

#### handleResponse

    public String handleResponse(ClassicHttpResponse response)
                          throws IOException

Description copied from class: `AbstractHttpClientResponseHandler`
Read the entity from the response body and pass it to the entity handler method if the response was successful (a 2xx status code). If no response body exists, this returns null. If the response was unsuccessful (>= 300 status code), throws an `HttpResponseException`.

Specified by:
  `handleResponse` in interface `HttpClientResponseHandler<String>`
Overrides:
  `handleResponse` in class `AbstractHttpClientResponseHandler<String>`
Throws:
  `IOException`